// license: AGPLv3 or later
// copyright 2023 zamfofex

#ifndef MIMIMI_MODELS_H
#define MIMIMI_MODELS_H

struct mimimi_row
{
	int width;
	int height;
	int count;
	unsigned char colors[64];
};

struct mimimi_layer
{
	int x, y, z;
	int width;
	int amplifier;
	int count;
	struct mimimi_row rows[64];
};

struct mimimi_model_layer
{
	int parent_index;
	struct mimimi_layer *layer;
};

struct mimimi_model
{
	int count;
	struct mimimi_model_layer layers[64];
};

#endif
